Enqueue call
Places the call into a queue, where it waits until it is removed or bridged to another leg. Queue behavior is configured through the request body.
POST
/
calls
/
{call_control_id}
/
actions
/
enqueue
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.enqueue('call_control_id', { queue_name: 'support' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.enqueue(
call_control_id="call_control_id",
queue_name="support",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.Enqueue(
context.TODO(),
"call_control_id",
telnyx.CallActionEnqueueParams{
QueueName: "support",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionEnqueueParams;
import com.telnyx.sdk.models.calls.actions.ActionEnqueueResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionEnqueueParams params = ActionEnqueueParams.builder()
.callControlId("call_control_id")
.queueName("support")
.build();
ActionEnqueueResponse response = client.calls().actions().enqueue(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.enqueue("call_control_id", queue_name: "support")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->enqueue(
'call_control_id',
queueName: 'support',
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
keepAfterHangup: true,
maxSize: 20,
maxWaitTimeSecs: 600,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions enqueue \
--api-key 'My API Key' \
--call-control-id call_control_id \
--queue-name supportcurl --request POST \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/enqueue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_name": "support",
"max_wait_time_secs": 600,
"max_size": 20,
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901"
}
'{
"data": {
"result": "ok"
}
}Authorizations
Body
application/json
Enqueue call request
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.calls.actions.enqueue('call_control_id', { queue_name: 'support' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.enqueue(
call_control_id="call_control_id",
queue_name="support",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.Enqueue(
context.TODO(),
"call_control_id",
telnyx.CallActionEnqueueParams{
QueueName: "support",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionEnqueueParams;
import com.telnyx.sdk.models.calls.actions.ActionEnqueueResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionEnqueueParams params = ActionEnqueueParams.builder()
.callControlId("call_control_id")
.queueName("support")
.build();
ActionEnqueueResponse response = client.calls().actions().enqueue(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.calls.actions.enqueue("call_control_id", queue_name: "support")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->calls->actions->enqueue(
'call_control_id',
queueName: 'support',
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
keepAfterHangup: true,
maxSize: 20,
maxWaitTimeSecs: 600,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx calls:actions enqueue \
--api-key 'My API Key' \
--call-control-id call_control_id \
--queue-name supportcurl --request POST \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/enqueue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_name": "support",
"max_wait_time_secs": 600,
"max_size": 20,
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901"
}
'{
"data": {
"result": "ok"
}
}